Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		kipi-plugins
Version:	1.7.0
Release:	1
BuildArch:	i686
License:	GNU/GPL 
URL:		http://extragear.kde.org/apps/kipi/
Group:		Graphics
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	kipi-plugins - additional features for Kipi (KDE Image Plugin Interface).
Obsoletes:      kipi-plugins-rc1
BuildRequires:	qca-devel
BuildRequires:  kdepimlibs-devel
BuildRequires:  libgpod-devel >= 0.7.3-2
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: expat-devel
BuildRequires: gamin-devel
BuildRequires: giflib-devel
BuildRequires: glibc-devel
BuildRequires: kdegraphics-devel
BuildRequires: kdelibs-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libxml2-devel
BuildRequires: libXpm-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libxslt-devel
BuildRequires: libXtst-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: pcre-devel
BuildRequires: phonon-devel
BuildRequires: qt4
BuildRequires: strigi-devel
BuildRequires: zlib-devel
BuildRequires: opencv-devel
BuildRequires: automoc4 soprano-devel

%description
Libkipi allows image applications to use a plugin architecture for additional functionality.
Currently implemented plugins are:

 1. RawConverter:	A Raw Image Converter for digital cameras.
 2. SlideShow:		Slideshow with effects ripped out from kslideshow and 3D effect using OpenGL.
 3. MpegEncoder:	An images to MPEG flux encoder for build a video file with many images.
 4. ImagesGallery:	An Album to HTML gallery export.
 5. PrintWizard:	Print multiple images/index pages in one page.
 6. JpegLossLess:	Batch images processing (rotation/flipping) without losing meta information
			embedded in the image and without recompression of the jpeg data.
 7. CdArchiving:	Albums CD archiving via K3b cd burning program.
 8. AcquireImages:	Acquire images interface.
			This plugin include these parts:
                        ScanImages (scanner management using Kooka).
                        ScreenshotImages (Snap Screen based on KSnapshot and adapted to Digikam).
 9. Calendar:		A Calendar construction plugin using Album images.
10. SendImages:		A plugin to send images by email, allowing resizing and recompressing before sending.
11. BatchProcessImages: A batch process images plugin.
                        This plugin includes these parts:
                        RenameImages (Image file names renaming).
                        ConvertImages (Image files format converting).
                        BorderImages (Add border to images).
                        FilterImages (Image enhancements using digital filters).
                        ColorImages (Image color enhancement).
                        EffectImages (Image transformation effects).
                        ResizeImages (Basic and Prepare to print images resizing).
                        RecompressImages (Recompress JPEG, TIFF, PNG, and TGA images).
12. TimeAdjust:		Adjust image file Time and Date.
13. WallPaper:		Image to KDE Desktop.
14. FindImages:		Find dupplicate images in albums.
15. GalleryExport:	Plugin to export images to a remote Gallery (http://gallery.sf.net)
16. HelloWorld:		Tutorial plugin implementation 

For more details see: http://extragear.kde.org/apps/kipi/

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make -j2
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd
### strip debugging symbols ###
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/dngconverter
%{_bindir}/expoblending
%{_bindir}/scangui     
%{_libdir}/kde4/kipiplugin_acquireimages.so
%{_libdir}/kde4/kipiplugin_advancedslideshow.so
%{_libdir}/kde4/kipiplugin_batchprocessimages.so
%{_libdir}/kde4/kipiplugin_calendar.so          
%{_libdir}/kde4/kipiplugin_dngconverter.so      
%{_libdir}/kde4/kipiplugin_expoblending.so      
%{_libdir}/kde4/kipiplugin_facebook.so          
%{_libdir}/kde4/kipiplugin_flashexport.so       
%{_libdir}/kde4/kipiplugin_flickrexport.so      
%{_libdir}/kde4/kipiplugin_galleryexport.so     
%{_libdir}/kde4/kipiplugin_gpssync.so           
%{_libdir}/kde4/kipiplugin_htmlexport.so        
%{_libdir}/kde4/kipiplugin_imageviewer.so       
%{_libdir}/kde4/kipiplugin_ipodexport.so        
%{_libdir}/kde4/kipiplugin_jpeglossless.so      
%{_libdir}/kde4/kipiplugin_kioexportimport.so   
%{_libdir}/kde4/kipiplugin_metadataedit.so      
%{_libdir}/kde4/kipiplugin_picasawebexport.so   
%{_libdir}/kde4/kipiplugin_piwigoexport.so
%{_libdir}/kde4/kipiplugin_printimages.so       
%{_libdir}/kde4/kipiplugin_rawconverter.so      
%{_libdir}/kde4/kipiplugin_removeredeyes.so     
%{_libdir}/kde4/kipiplugin_sendimages.so        
%{_libdir}/kde4/kipiplugin_shwup.so             
%{_libdir}/kde4/kipiplugin_smug.so              
%{_libdir}/kde4/kipiplugin_timeadjust.so        
%{_libdir}/kde4/kipiplugin_kopete.so
%{_libdir}/libkipiplugins.so                    
%{_libdir}/libkipiplugins.so.1                  
%{_libdir}/libkipiplugins.so.1.0.0              
%{_applications}/kde4/dngconverter.desktop      
%{_applications}/kde4/expoblending.desktop      
%{_applications}/kde4/kipiplugins.desktop       
%{_applications}/kde4/scangui.desktop           
%{_datadir}/icons/hicolor/*/actions/expoblending.png
%{_datadir}/icons/hicolor/*/actions/facebook.png    
%{_datadir}/icons/hicolor/*/actions/flash.png       
%{_datadir}/icons/hicolor/*/actions/flickr.png      
%{_datadir}/icons/hicolor/*/actions/gallery.png     
%{_datadir}/icons/hicolor/*/actions/gpsimagetag.png 
%{_datadir}/icons/hicolor/*/actions/hq.png          
%{_datadir}/icons/hicolor/*/actions/ogl.png         
%{_datadir}/icons/hicolor/*/actions/picasa.png
%{_datadir}/icons/hicolor/*/actions/piwigo.png
%{_datadir}/icons/hicolor/*/actions/piwigo.png 
%{_datadir}/icons/hicolor/*/actions/shwup.png       
%{_datadir}/icons/hicolor/*/actions/smugmug.png     
%{_datadir}/icons/hicolor/*/actions/zooomr.png      
%{_datadir}/icons/hicolor/*/actions/slideshow.png
%{_datadir}/icons/hicolor/*/actions/borderimages.png
%{_datadir}/icons/hicolor/*/actions/colorimages.png
%{_datadir}/icons/hicolor/*/actions/convertimages.png
%{_datadir}/icons/hicolor/*/actions/effectimages.png
%{_datadir}/icons/hicolor/*/actions/filterimages.png
%{_datadir}/icons/hicolor/*/actions/flip-horizontal.png
%{_datadir}/icons/hicolor/*/actions/grayscaleconvert.png
%{_datadir}/icons/hicolor/*/actions/recompressimages.png
%{_datadir}/icons/hicolor/*/actions/renameimages.png
%{_datadir}/icons/hicolor/*/actions/resizeimages.png
%{_datadir}/icons/hicolor/*/actions/timeadjust.png
%{_datadir}/icons/hicolor/*/actions/metadataedit.png
%{_datadir}/icons/hicolor/scalable/actions/facebook.svgz
%{_datadir}/icons/hicolor/scalable/actions/flash.svgz
%{_datadir}/icons/hicolor/scalable/actions/flickr.svgz
%{_datadir}/icons/hicolor/scalable/actions/gallery.svgz
%{_datadir}/icons/hicolor/scalable/actions/hq.svgz
%{_datadir}/icons/hicolor/scalable/actions/picasa.svgz
%{_datadir}/icons/hicolor/scalable/actions/piwigo.svgz 
%{_datadir}/icons/hicolor/scalable/actions/smugmug.svgz     
%{_datadir}/icons/hicolor/scalable/actions/zooomr.svgz      
%{_datadir}/icons/oxygen/*/apps/dngconverter.png        
%{_datadir}/icons/oxygen/*/apps/rawconverter.png        
%{_datadir}/icons/oxygen/scalable/apps/dngconverter.svgz    
%{_datadir}/icons/oxygen/scalable/apps/rawconverter.svgz    
%{_datadir}/kde4/apps/kipiplugin_expoblending
%{_datadir}/kde4/apps/kipiplugin_flashexport 
%{_datadir}/kde4/apps/kipiplugin_galleryexport 
%{_datadir}/kde4/apps/kipiplugin_htmlexport
%{_datadir}/kde4/apps/kipiplugin_imageviewer 
%{_datadir}/kde4/apps/kipiplugin_piwigoexport/pics/piwigo_logo.png
%{_datadir}/kde4/apps/kipiplugin_printimages
%{_datadir}/kde4/apps/kipiplugin_removeredeyes 
%{_datadir}/kde4/services/kipiplugin_acquireimages.desktop                              
%{_datadir}/kde4/services/kipiplugin_advancedslideshow.desktop                          
%{_datadir}/kde4/services/kipiplugin_batchprocessimages.desktop                         
%{_datadir}/kde4/services/kipiplugin_calendar.desktop                                   
%{_datadir}/kde4/services/kipiplugin_dngconverter.desktop                               
%{_datadir}/kde4/services/kipiplugin_expoblending.desktop                               
%{_datadir}/kde4/services/kipiplugin_facebook.desktop                                   
%{_datadir}/kde4/services/kipiplugin_flashexport.desktop                                
%{_datadir}/kde4/services/kipiplugin_flickrexport.desktop                               
%{_datadir}/kde4/services/kipiplugin_galleryexport.desktop                              
%{_datadir}/kde4/services/kipiplugin_gpssync.desktop                                    
%{_datadir}/kde4/services/kipiplugin_htmlexport.desktop                                 
%{_datadir}/kde4/services/kipiplugin_imageviewer.desktop                                
%{_datadir}/kde4/services/kipiplugin_ipodexport.desktop                                 
%{_datadir}/kde4/services/kipiplugin_jpeglossless.desktop                               
%{_datadir}/kde4/services/kipiplugin_kioexportimport.desktop                            
%{_datadir}/kde4/services/kipiplugin_metadataedit.desktop                               
%{_datadir}/kde4/services/kipiplugin_picasawebexport.desktop                            
%{_datadir}/kde4/services/kipiplugin_piwigoexport.desktop
%{_datadir}/kde4/services/kipiplugin_printimages.desktop                                
%{_datadir}/kde4/services/kipiplugin_rawconverter.desktop                               
%{_datadir}/kde4/services/kipiplugin_removeredeyes.desktop                              
%{_datadir}/kde4/services/kipiplugin_sendimages.desktop                                 
%{_datadir}/kde4/services/kipiplugin_shwup.desktop                                      
%{_datadir}/kde4/services/kipiplugin_smug.desktop                                       
%{_datadir}/kde4/services/kipiplugin_timeadjust.desktop                                 
%{_datadir}/kde4/services/kipiplugin_kopete.desktop
%{_locale}/*/LC_MESSAGES/kipiplugin_acquireimages.mo                                   
%{_locale}/*/LC_MESSAGES/kipiplugin_advancedslideshow.mo                               
%{_locale}/*/LC_MESSAGES/kipiplugin_batchprocessimages.mo                              
%{_locale}/*/LC_MESSAGES/kipiplugin_calendar.mo                                        
%{_locale}/*/LC_MESSAGES/kipiplugin_dngconverter.mo                                    
%{_locale}/*/LC_MESSAGES/kipiplugin_expoblending.mo                                    
%{_locale}/*/LC_MESSAGES/kipiplugin_facebook.mo                                        
%{_locale}/*/LC_MESSAGES/kipiplugin_flashexport.mo                                     
%{_locale}/*/LC_MESSAGES/kipiplugin_flickrexport.mo                                    
%{_locale}/*/LC_MESSAGES/kipiplugin_galleryexport.mo                                   
%{_locale}/*/LC_MESSAGES/kipiplugin_gpssync.mo                                         
%{_locale}/*/LC_MESSAGES/kipiplugin_htmlexport.mo                                      
%{_locale}/*/LC_MESSAGES/kipiplugin_imageviewer.mo                                     
%{_locale}/*/LC_MESSAGES/kipiplugin_ipodexport.mo                                      
%{_locale}/*/LC_MESSAGES/kipiplugin_jpeglossless.mo                                    
%{_locale}/*/LC_MESSAGES/kipiplugin_kioexportimport.mo                                 
%{_locale}/*/LC_MESSAGES/kipiplugin_metadataedit.mo                                    
%{_locale}/*/LC_MESSAGES/kipiplugin_picasawebexport.mo
%{_locale}/*/LC_MESSAGES/kipiplugin_piwigoexport.mo                                 
%{_locale}/*/LC_MESSAGES/kipiplugin_printimages.mo                                     
%{_locale}/*/LC_MESSAGES/kipiplugin_rawconverter.mo                                    
%{_locale}/*/LC_MESSAGES/kipiplugin_removeredeyes.mo                                   
%{_locale}/*/LC_MESSAGES/kipiplugin_sendimages.mo                                      
%{_locale}/*/LC_MESSAGES/kipiplugin_shwup.mo                                           
%{_locale}/*/LC_MESSAGES/kipiplugins.mo                                                
%{_locale}/*/LC_MESSAGES/kipiplugin_smug.mo                                            
%{_locale}/*/LC_MESSAGES/kipiplugin_timeadjust.mo                                      
%{_locale}/*/LC_MESSAGES/kipiplugin_wallpaper.mo                                       


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 31 2010 Christian Metzen <metzench@ccux-linux.de> 1.7.0-1
- Version update
* Mon Oct 11 2010 Christian Metzen <metzench@ccux-linux.de> 1.5.0-1
- Version update
* Mon Aug 23 2010 Christian Metzen <metzench@ccux-linux.de> 1.4.0-1
- Version update
* Thu Jul 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-2
- rebuilt against opencv 2.1.0
* Thu Jun 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version update
* Tue Feb 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-2
- rebuilt against kdegraphics 4.4.0
* Wed Feb 03 2010 Christian Metzen <metzench@ccux-linux.de> 1.1.0-1
- Version update
* Tue Dec 22 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- Version update
* Mon Nov 02 2009 Christian Metzen <metzench@ccux-linux.de> 0.8.0-1
- Version update
* Tue Oct 20 2009 Christian Metzen <metzench@ccux-linux.de> 0.7.0-1
- Version update
* Thu Aug 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0-1
- Version update
* Tue May 12 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.0-1
- Version update
* Fri Mar 20 2009 Christian Metzen <metzench@ccux-linux.de> 0.2.0-8
- Version update to final release
* Mon Feb 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.2.0-7
- rc2
* Wed Jan 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.2.0-6
- rc1
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.2.0-5
- beta6
* Sun Dec 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2.0-4
- beta5
* Sun Nov 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2.0-3
- version update
- beta3
* Sat Oct 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2.0-2
- version update
- beta2
* Sun Sep 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2.0-1
- version update
- beta1
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.5-2
- update to final version
* Tue Jan 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.5-1
- version update
- RC1
* Thu Jul 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.4-1
- version update
* Thu Mar 22 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.1.3-2
- hopefully fix gslice error
* Tue Feb 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.3-1
- version update
* Mon Nov 27 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.1.2-1
- version update
* Wed Apr 05 2006 Christian Wasem <wasem@ccux-linux.de> 0.1.0-2
- rebuilt against ufraw
* Tue Nov 01 2005 Christian Wasem <wasem@ccux-linux.de> 0.1.0-1
- Initial Release
